Update Member Role in Team Folder

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API updates the team folder member's role in a team folder.

There are five different roles for team folder members in a team folder:

  • Admin - By default, the creator of a team folder is the admin of that Team Folder. The admin can add or remove members, add, edit, rename, move, and share files and folders while managing team folder settings.
  • Organizer - Organizers can add new members to a Team Folder but cannot assign the admin role to anyone. They can also add, edit, rename, move and share Files and Folders. Note that Organizers can move Files and Folders only within their respective Team Folders.
  • Editor - Editors can view, add, edit, copy, and rename Files and Folders, but cannot share or move, or delete them.
  • Commenter - Commenters can view, copy, comment on, and download Files.
  • Viewer - Viewers can view, copy, and download Files.

Endpoints

OAuth Scope

WorkDrive.teamfolders.sharing.UPDATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request PATCH \
  --url https://www.zohoapis.com/workdrive/api/v1/members/{member_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"role_id":"2"},"type":"members"}}'

Path Parameters

member_idstring(Required)

The ID that is created when a member is added into a team folder.

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
role_idinteger(Required)

The ID that represents the role given to the member in the team folder.

  • 1 - Admin
  • 2 - Organizer
  • 5 - Editor
  • 6 - Commenter
  • 34 - Viewer

typestring(Required)

The JSON:API resource type. Always "members".

Allowed Values :
Show Values
membersCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "role_id": "2"
      },
      "type": "members"
    }
  }
                
Show full

Response Example

R215

R215

R004

R214

U001

R253

R253

R208

R219

I001

I001

I045

R707

R708

I007

R209

F000

200
200
400
401
403
404
409
500
Copied!
  {
    "data": {
      "id": "ly9zm0170fb40015f4e2297a144e2b68cfa68-747938058",
      "type": "members",
      "attributes": {
        "email_id": "reyansh.ahuja@zylker.com",
        "shared_time_in_millis": 1618252163531,
        "shared_by": "Zylker Creation",
        "expiry_in_millis": 0,
        "relation_type": 0,
        "expiration_date": "",
        "share_to_entity_info": {
          "display_name": "Zylker Creation",
          "email_id": "reyansh.ahuja@zylker.com",
          "avatar_url": "https://contacts.zoho.com/file?t=user&ID=747938058&fs=thumb&nps=404"
        },
        "share_to_member_type": 1,
        "role_id": 2,
        "shared_time_i18": "Apr 12, 11:59 PM",
        "shared_time": "Apr 12, 11:59 PM",
        "shared_status": "INACTIVE",
        "can_link_to_docs": true,
        "owner": "747937818",
        "allow_sharing_outside": false,
        "shared_type": "workspace",
        "delete_from_propagated_space": false,
        "display_name": "Zylker Creation",
        "message": "",
        "share_to": "747938058",
        "is_expired": false,
        "shared_to_member_type": 1,
        "avatar_url": "https://contacts.zoho.com/file?t=user&ID=747938058&fs=thumb&nps=404",
        "is_password_protected": false,
        "resource_id": "ly9zm0170fb40015f4e2297a144e2b68cfa68",
        "permalink": "https://www.zohoapis.com/workdrive/file/ly9zm0170fb40015f4e2297a144e2b68cfa68",
        "shared_by_zuid": "747938014"
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/members/ly9zm0170fb40015f4e2297a144e2b68cfa68-747938058"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R215",
        "title": "Resource owned by user or already shared to user"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId passed. Please use a valid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R214",
        "title": "Unknown shareTo zuid / emailid"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U001",
        "title": "User not logged in. Please Log in"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R253",
        "title": "Client user cannot perform any action on another client user"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R208",
        "title": "Can not share libraries to user"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R219",
        "title": "Invalid space id"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "I001",
        "title": "App details not available"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "I045",
        "title": "Workspace is not associated with app"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R707",
        "title": "Cannot share Resource to the group of another team"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R708",
        "title": "Group with mentioned id not available"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "I007",
        "title": "Unauthorized App"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R209",
        "title": "Unknown sharetype"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
Show full